summaryrefslogtreecommitdiffstats
path: root/development/cgit/cgit.SlackBuild
diff options
context:
space:
mode:
author ponce2012-06-30 18:04:35 +0200
committer dsomero2012-06-30 18:04:35 +0200
commitb5d9003dbe5ea4a605860099d27ea422620ceaab (patch)
treeb5683fcf7d369d9b9baf4c13b8189ba4467ba1e8 /development/cgit/cgit.SlackBuild
parent380fa5430ebc70c88c719f5b43f58927975e3d0b (diff)
downloadslackbuilds-b5d9003dbe5ea4a605860099d27ea422620ceaab.tar.gz
development/cgit: Updated for version 20120318_f50be7f.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development/cgit/cgit.SlackBuild')
-rw-r--r--development/cgit/cgit.SlackBuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/development/cgit/cgit.SlackBuild b/development/cgit/cgit.SlackBuild
index 9953e1dd93..1c21ca6b64 100644
--- a/development/cgit/cgit.SlackBuild
+++ b/development/cgit/cgit.SlackBuild
@@ -4,8 +4,8 @@
# Written by ponce <matteo.bernardini@gmail.com>
PRGNAM=cgit
-VERSION=${VERSION:-0.9.0.1}
-CGIT_VERSION=${CGIT_VERSION:-v$VERSION}
+VERSION=${VERSION:-20120318_f50be7f}
+CGIT_VERSION=${CGIT_VERSION:-v0.9.0.3-4-gf50b}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -39,9 +39,9 @@ fi
DOCS="cgitrc.5.txt COPYING README $CWD/config/cgit-lighttpd.conf \
$CWD/config/cgit-httpd.conf $CWD/config/cgitrc.sample"
-GIT_TARBALL=$(grep \/git- $CWD/cgit.info | cut -d'/' -f8 | sed -e 's/\"//')
+GIT_TARBALL=$(grep \/git- $CWD/cgit.info | cut -d'/' -f7 | sed -e 's/\"//')
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -56,6 +56,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# add a patch to sort summary branches
+patch -p1 < $CWD/sort-summary-branches.patch
+
# prepare sources
sed -i -e "s|-g -Wall -Igit|-Wall ${SLKCFLAGS} -Igit|" Makefile
sed -i -e "s|\/lib$|/lib${LIBDIRSUFFIX}|" Makefile